%define module pygments

Name:           python-%{module}
Version:        2.11.2
Release:        %mkrel 1
Summary:        Syntax highlighting package written in Python

Group:          Development/Python
License:        BSD
URL:            http://pygments.org/
Source0:        Pygments-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Pygments is a syntax highlighting package written in Python. It is a generic
syntax highlighter for general use in all kinds of software such as forum
systems, wikis or other applications that need to prettify source code.
Highlights are:

* a wide range of common languages and markup formats is supported
* special attention is paid to details, increasing quality by a fair amount
* support for new languages and formats are added easily
* a number of output formats, presently HTML, LaTeX, RTF, SVG and ANSI
  sequences

%package -n python3-%{module}
Summary:        Syntax highlighting package written in Python3
Group:          Development/Python
Requires:       python3-setuptools
Provides:       /usr/bin/pygmentize3

%description -n python3-%{module}
Pygments is a syntax highlighting package written in Python. It is a
generic syntax highlighter for general use in all kinds of software
such as forum systems, wikis or other applications that need to
prettify source code.

%prep
%setup -qn Pygments-%{version}

# drop bundled egg-info
rm -rf *.egg-info
find . -name \*.py -exec sed -i '/^#!/s/python$/python3/g' {} \;

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
mv %{buildroot}%{_bindir}/pygmentize %{buildroot}%{_bindir}/python3-pygmentize
ln -s %{buildroot}%{_bindir}/python3-pygmentize %{buildroot}%{_bindir}/pygmentize3

%files -n python3-%{module}
%doc AUTHORS CHANGES LICENSE
%{python3_sitelib}/*
%{_bindir}/python3-pygmentize
%{_bindir}/pygmentize3

%changelog
* Sun Feb 27 2022 TerryN <terryn94 at gmail.com> 2.11.2-1pclos2022
- update and rebuild for python 3.10

* Mon Apr 02 2018 marcin82 <fixxer1982 at gmail.com> 2.2.0-1pclos2018
- update, cut changelog
